Redmine - Defect #5142

Can't import Bazaar changesets from repository to Redmine
2010-03-22 09:27 - Evgeniy Demur

Status: Closed Start date: 2010-03-22
Priority: High Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 0.9.3
Description

Iconv::InvalidCharacter in RepositoriesController#show
"\363 "
RAILS_ROOT: C:/Program Files/Redmine

Application Trace | Framework Trace | Full Trace

C:/Program Files/Redmine/app/models/changeset.rb:185:in “conv'

C:/Program Files/Redmine/app/models/changeset.rb:185:in “to_utf8'

C:/Program Files/Redmine/app/models/changeset.rb:153:in “normalize_comments'

C:/Program Files/Redmine/app/models/changeset.rb:52:in ‘comments='

C:/Program Files/Redmine/app/models/repository/bazaar.rb:71:in “fetch_changesets'

C:/Program Files/Redmine/app/models/repository/bazaar.rb:70:in “reverse_each'

C:/Program Files/Redmine/app/models/repository/bazaar.rb:70:in “fetch_changesets'

C:/Program Files/Redmine/app/models/repository/bazaar.rb:69:in “fetch_changesets'

C:/Program Files/Redmine/app/controllers/repositories_controller.rb:70:in “show'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:2746:in “send’

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:2746:in "attributes="'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:2742:in “each’

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:2742:in "attributes="'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:2438:in “initialize'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:721:in “new'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:721:in “create'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:136:in
“transaction'’

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:182:in “transaction’

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:188:in “transaction'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:217:in “send'
C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:217:in "method_missing’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in “send’

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in “perform_action_without_filters'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in “call_filters'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in “perform_action_without_benchmark'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in “perform_action_without_rescue’
C:/Program Files/Redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in “ms'
C:/Ruby/lib/ruby/1.8/benchmark.rb:308:in “realtime'

C:/Program Files/Redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in *ms'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in “perform_action_without_rescue'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in “perform_action_without_flash'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in “perform_action'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in “send’

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in “process_without_filters'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in “process'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:391:in “process'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:386:in “call'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in “call'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in “dispatch’

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in *_call’

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in “call'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in “call’

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in ‘cache’
C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in “cache’
C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in “call'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in “call'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in “call'
C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in “call’
C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in “call'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in “call’

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in “call'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in “call’
C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in “call’
C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in “synchronize'
C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in “call

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in “call’

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:44:in “dispatch_cgi'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in “dispatch_cgi'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in “dispatch’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:76:in “process'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in “synchronize'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in “process'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:159:in “process_client'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in “each’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in “process_client'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in initialize'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in “new’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in “initialize’'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in "new’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:282:in “run’'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in “each’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in “run’'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:128:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/command.rb:212:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281

C:/Program Files/Redmine/app/models/changeset.rb:185:in “conv'

C:/Program Files/Redmine/app/models/changeset.rb:185:in “to_utf8'

C:/Program Files/Redmine/app/models/changeset.rb:153:in “normalize_comments'

C:/Program Files/Redmine/app/models/changeset.rb:52:in ‘comments="'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:2746:in “send’

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:2746:in "attributes="'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:2742:in “each'’

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:2742:in "attributes="'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:2438:in “initialize'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:721:in "new'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/base.rb:721:in “create’

C:/Program Files/Redmine/app/models/repository/bazaar.rb:71:in “fetch_changesets'

C:/Program Files/Redmine/app/models/repository/bazaar.rb:70:in “reverse_each’

C:/Program Files/Redmine/app/models/repository/bazaar.rb:70:in “fetch_changesets'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:136:in
“transaction'’

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:182:in “transaction’

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:188:in “transaction'

C:/Program Files/Redmine/app/models/repository/bazaar.rb:69:in “fetch_changesets'

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:217:in “send'
C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:217:in ‘method_missing’
C:/Program Files/Redmine/app/controllers/repositories_controller.rb:70:in “show'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in “send'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in “perform_action_without_filters'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in “call_filters'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in “perform_action_without_benchmark'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in “perform_action_without_rescue'
C:/Program Files/Redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in *ms'
C:/Ruby/lib/ruby/1.8/benchmark.rb:308:in “realtime'

C:/Program Files/Redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in *ms'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/lbenchmarking.rb:68:in “perform_action_without_rescue'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in “perform_action_without_flash'’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in “perform_action’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in “send'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in “process_without_filters'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in “process’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:391:in “process’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:386:in “call'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in “call'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in “dispatch’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in *_call’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130

C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in “call'
C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in “call'
C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in “cache’
C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in “cache'
C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in “call'
C:/Program Files/Redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in “call'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in “call'
C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in “call'
C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in “call'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in “call’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in “call’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in “call’
C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in “call'
C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in “synchronize'
C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in “call'

C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in “call’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:44:in “dispatch_cgi’
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in “dispatch_cgi'
C:/Program Files/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in “dispatch’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:76:in “process'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in “synchronize'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in “process'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:159:in “process_client'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in “each'’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in “process_client'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in initialize'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in “new’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in "initialize'
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in "new’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:282:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in “each’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:128:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/command.rb:212:in “run’
C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281
C:/Ruby/bin/mongrel_rails:19:in “load'

C:/Ruby/bin/mongrel_rails:19

Request

Parameters:

{"id"=>"mad-budget"}

Show session dump

Response

Headers:
{"Content-Type"=>"",
"Cache-Control"=>"no-cache"}

Related issues:
Is duplicate of Redmine - Defect #5578: Bazaar: Missing characters from repos... Closed 2010-05-23
History

#1 - 2010-11-15 02:35 - Toshi MARUYAMA
- Status changed from New to Resolved

- % Done changed from 0 to 100

On Windows Bazaar, you need to set 'Commit messages encoding' your Windows code page.
Please refer note-8 of #5578.

#2 - 2011-01-04 05:49 - Toshi MARUYAMA
- Status changed from Resolved to Closed

- Resolution set to Duplicate
http://www.redmine.org/issues/5578#note-8
https://www.redmine.org/issues/5578
http://www.tcpdf.org

